﻿@model List<WebApp.ViewModels.Admin.StationAdminViewModel>
@{
    ViewBag.Title = "Stations";
}

<div class="panel panel-default">
    <div class="panel-heading"><h2>Stations</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateStation", "Admin")
    </div>
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No stations found.</div>
    }
    else
    {
        <table class="table">
            <thead>
            <th>ID</th>
            <th>Title</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.Title)</td>
                    <td>
                        @Html.ActionLink("Edit", "EditStation", "Admin", new {id = model.Id}, null) |
                        @Html.ActionLink("Delete", "DeleteStation", "Admin", new {id = model.Id}, null)
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>



